#ifndef PRESSURESENSOR_H
#define PRESSURESENSOR_H

#include "serialui.h"
#include <QString>

#define PRESSURE_DIVISION_VALUE  (10) // 10 Pa

class PressureSensor
{
public:
    PressureSensor(SerialUi* pSerial);
    bool Read(float& pressure);
    bool Set_Zero(); // 零点标定

    void Dump_Statistics(QString file_path);
private:
    SerialUi* m_pSerial;
    bool check_crc(QByteArray data);
};

#endif // PRESSURESENSOR_H
